#include "MainComponent.h"

//==============================================================================
MainComponent::MainComponent() : tooltipWindow (this, 1200)
{
    setSize (600, 400);
    
    label.setText ("Click on me!", juce::NotificationType::dontSendNotification);
    label.addMouseListener (this, false);
    addAndMakeVisible (&label);
}

MainComponent::~MainComponent()
{
    label.removeMouseListener (this);
}

//==============================================================================
void MainComponent::paint (juce::Graphics& g)
{
    // (Our component is opaque, so we must completely fill the background with a solid colour)
    g.fillAll (getLookAndFeel().findColour (juce::ResizableWindow::backgroundColourId));
}

void MainComponent::resized()
{
    // This is called when the MainComponent is resized.
    // If you add any child components, this is where you should
    // update their positions.
    
    label.setBounds (100, 100, 100, 40);
}

void MainComponent::mouseUp (const juce::MouseEvent&) {
	tooltipWindow.displayTip (juce::Point<int> (100, 100), "The tooltip");
}
